Bug 217404 - Polynomials are not detected when there are different variables
Summary: Polynomials are not detected when there are different variables
Status: RESOLVED FIXED
Alias: None
Product: kalgebra
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-05 05:00 UTC by George Sebastian
Modified: 2011-04-16 11:44 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Sebastian 2009-12-05 05:00:42 UTC
Version:           0.8 (using KDE 4.3.2)
Compiler:          cmake 2.6-patch 4 
OS:                Linux
Installed from:    Compiled From Sources

an expression like
2*x+3*x
gives 
5*x
but

something like
2*x*y + 5*x*y        or        2x*y+5x*y
gives
2*x*y + 5*x*y
Comment 1 Aleix Pol 2011-04-16 11:44:39 UTC
Git commit c54c16bc6610c768b7d19a3f81c18b82d181fafd by Aleix Pol.
Committed on 16/04/2011 at 11:48.
Pushed by apol into branch 'master'.

Improve polynomial detection for simplification.

BUG: 217404
REVIEW: 101137

M  +43   -19   analitza/analyzer.cpp     
M  +16   -4    analitza/apply.cpp     
M  +2    -0    analitza/apply.h     
M  +2    -0    analitza/tests/analitzatest.cpp     

http://commits.kde.org/kalgebra/c54c16bc6610c768b7d19a3f81c18b82d181fafd